- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
IterableValueMap< GR, K, V >::ItemIt Class Reference

## Detailed Description

### template<typename GR, typename K, typename V>
class lemon::IterableValueMap< GR, K, V >::ItemIt

Iterator for the keys with the same value. It works like a graph item iterator, it can be converted to the item type of the map, incremented with `++` operator, and if the iterator leaves the last valid item, it will be equal to `INVALID`.

`#include <lemon/maps.h>`

Inherits Key.

## Public Member Functions
| ItemIt (Invalid)
| Invalid constructor & conversion. More...
| ItemIt (const IterableValueMap &map, const Value &value)
| Creates an iterator with a value. More...
ItemIt & | operator++ ()
| Increment operator. More...

## Constructor & Destructor Documentation

ItemIt | ( | Invalid |  | ) |
| inline

This constructor initializes the iterator to be invalid.

See Also
  Invalid for more details.

ItemIt | ( | const IterableValueMap & | map,
|  | const Value & | value
| ) |  |
| inline

Creates an iterator with a value. It iterates on the keys which have the given value.

Parameters

  map | The IterableValueMap
  value | The value

## Member Function Documentation

ItemIt& operator++ | ( |  | ) |
| inline

Increment Operator.